package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 地区批次录取分数线对象 b_busi_wish_xkcx_course_group
 * 
 * @author mingxue
 * @date 2021-08-18
 */
@ApiModel("地区批次录取分数线")
public class BBusiWishXkcxCourseGroup extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty("主键 ")
    private Long id;

    /** 科目一 */
    @Excel(name = "科目一")
    @ApiModelProperty("科目一")
    private String course0;

    /** 科目二 */
    @Excel(name = "科目二")
    @ApiModelProperty("科目二")
    private String course1;

    /** 科目三 */
    @Excel(name = "科目三")
    @ApiModelProperty("科目三")
    private String course2;

    /** 专业可报率 */
    @Excel(name = "专业可报率")
    @ApiModelProperty("专业可报率")
    private Integer marjorRate;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    @ApiModelProperty("状态(0:无效,1:有效)")
    private Integer status;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCourse0(String course0) {
        this.course0 = course0;
    }

    public String getCourse0() {
        return course0;
    }

    public void setCourse1(String course1) {
        this.course1 = course1;
    }

    public String getCourse1() {
        return course1;
    }

    public void setCourse2(String course2) {
        this.course2 = course2;
    }

    public String getCourse2() {
        return course2;
    }

    public void setMarjorRate(Integer marjorRate) {
        this.marjorRate = marjorRate;
    }

    public Integer getMarjorRate() {
        return marjorRate;
    }

    public BBusiWishXkcxCourseGroup setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("course0", getCourse0())
            .append("course1", getCourse1()).append("course2", getCourse2()).append("marjorRate", getMarjorRate())
            .append("status", getStatus()).toString();
    }
}
